summaryrefslogtreecommitdiff
path: root/system/easy-boot/update-boot
diff options
context:
space:
mode:
Diffstat (limited to 'system/easy-boot/update-boot')
-rw-r--r--system/easy-boot/update-boot13
1 files changed, 13 insertions, 0 deletions
diff --git a/system/easy-boot/update-boot b/system/easy-boot/update-boot
new file mode 100644
index 000000000..a3e45ebf4
--- /dev/null
+++ b/system/easy-boot/update-boot
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+rc=0
+
+for i in /etc/easy-boot.d/*; do
+ [ -x "$i" ] || continue
+ printf '>>> %s\n' "${i##*/}" >&2
+ if ! "$i"; then
+ printf '>>> Kernel boot hook failed!\n' >&2
+ rc="$((rc + 1))"
+ fi
+done
+
+exit "$rc"